package com.persagy.apm.energy.report.monthly.config.type.model.vo;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import com.fasterxml.jackson.annotation.JsonInclude;

import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021-05-19 10:39:18
 */
@Data
@ApiModel(value = "报告类型列表返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ResponseReportTypeListItemVO {
    @ApiModelProperty("主键")
    private String id;

    @ApiModelProperty("报告类型名称")
    private String name;

    @ApiModelProperty(value = "业态", notes = "com.persagy.apm.energy.report.monthly.config.type.constant.enums.BuildingTypeEnum")
    private String buildingType;

    @ApiModelProperty(value = "报告所属类型", notes = "com.persagy.apm.energy.report.monthly.config.type.constant.enums.BelongTypeEnum")
    private String belongType;

    @ApiModelProperty(value = "可用报告所属id", hidden = true)
    @JsonIgnore
    private List<String> availableBelongIds;
}
